Delete item attributes - Fabric

Delete item attributes

cURL

curl --request POST \
  --url https://api.fabric.inc/v3/carts/{cartId}/items/{itemId}/actions/delete-attributes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
  --data '\n{\n  "attributes": [\
    "test"\
  ]\n}'

Python

import requests

url = "https://api.fabric.inc/v3/carts/{cartId}/items/{itemId}/actions/delete-attributes"

payload = { "attributes": ["test"] }
headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'POST',
  headers: {
    'x-fabric-tenant-id': '<x-fabric-tenant-id>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({attributes: ['test']})
};

fetch('https://api.fabric.inc/v3/carts/{cartId}/items/{itemId}/actions/delete-attributes', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response Codes

Response Body Example

{
  "id": "<string>",
  "sku": "<string>",
  "refId": "<string>",
  "quantity": 123,
  "priceListId": "<string>",
  "price": {
    "unit": 10,
    "amount": 100
  },
  "fees": [
    {
      "id": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",
      "name": "Eco Fee",
      "price": {
        "amount": 12.99
      },
      "taxable": true,
      "attributes": {
        "source": "eco"
      },
      "tax": {
        "total": 3,
        "collection": [
          {
            "amount": 3,
            "attributes": {
              "rate": "5.0",
              "type": "COUNTY"
            }
          }
        ]
      },
      "updatedAt": "2024-06-13T16:50:00.682Z",
      "createdAt": "2024-06-13T16:50:00.682Z",
      "taxDetails": {
        "destinationAddress": "c86f777b-1885-4ddf-961d-542ba80a69b8",
        "originAddress": "c86f777b-1885-4ddf-961d-542ba80a69b8"
      }
    }
  ],
  "adjustments": [
    {
      "id": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",
      "price": {
        "amount": 12.99
      },
      "reason": "Price adjustment from customer representative.",
      "attributes": {
        "source": "CSR"
      },
      "updatedAt": "2024-06-13T16:50:00.682Z",
      "createdAt": "2024-06-13T16:50:00.682Z"
    }
  ],
  "fulfillment": {
    "id": "6d65755f-b1d9-4c9d-bb5b-118d317f8db4",
    "price": {
      "amount": 12.99
    },
    "inventory": {
      "type": "backOrder",
      "channels": {
        "networkCode": "ShipToHome"
      }
    },
    "tax": {
      "total": 3,
      "collection": [
        {
          "amount": 3,
          "attributes": {
            "rate": "5.0",
            "type": "COUNTY"
          }
        }
      ]
    }
  },
  "promotions": [
    {
      "id": "bb44db95-6fbd-4eed-a1ed-4d99bc91250f",
      "amount": 15,
      "quantity": 3,
      "proration": {
        "spread": [
          {
            "amount": 5,
            "quantity": 3
          }
        ]
      }
    }
  ],
  "taxCode": "<string>",
  "tax": [
    {
      "amount": 3,
      "attributes": {
        "rate": "5.0",
        "type": "COUNTY"
      }
    }
  ],
  "attributes": {},
  "updatedAt": "2024-06-13T16:50:00.682Z",
  "createdAt": "2024-06-13T16:50:00.682Z"
}

Error Response Example

{
  "type": "BAD_REQUEST",
  "message": "x-fabric-tenant-id is required"
}
{
  "type": "CART_NOT_FOUND",
  "message": "Cart not found"
}

Authorizations

Authorization

This is the authorization token used to authenticate the request. You must pass the access token generated from the system app.